Skip to main content
GET
Compare agent configuration versions

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

account_id
integer
required

The numeric ID of the account.

Query Parameters

base
string<uuid>
required

Base version public UUID.

target
string<uuid>
required

Target version public UUID.

Response

Success

base
object
required

Base version used for the comparison.

target
object
required

Target version used for the comparison.

identical
boolean
required

Whether the compared configurations have no differences.

changes
object[]
required

Configuration changes in the comparison, bounded by the response limit.

truncated
boolean
required

Whether additional changes were omitted from this response.

omitted_changes
integer
required

Number of changes omitted by the response bound.

Required range: x >= 0